%define name	qlandkarte
%define oname	QLandkarte
%define version	0.7.3
%define release %mkrel 1

Name: 	 	%{name}
Summary: 	Views and transfers data to a Garmin GPS receiver
Version: 	%{version}
Release: 	%{release}
Source0:	http://ufpr.dl.sourceforge.net/sourceforge/qlandkarte/%{oname}_%{version}.tar.gz
Patch0:		qlandkarte-0.7.3-man-dir.patch
URL:		http://qlandkarte.sourceforge.net/
License:	GPLv2+
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	qt4-devel >= 4.2.0
BuildRequires:	libproj-devel
BuildRequires:	libusb-devel
BuildRequires:	desktop-file-utils

%description
View and upload map files, track and waypoint data to your Garmin GPS receiver.

%prep
%setup -q -n %{oname}_%{version}
%patch0 -p0

%build
%configure2_5x
%qmake_qt4
%make

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=%buildroot

desktop-file-install --vendor='' \
	--dir=%buildroot%_datadir/applications \
	--add-category='DataVisualization' \
	%buildroot%_datadir/applications/*.desktop

rm -fr %buildroot%_datadir/menu

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%update_menus
%endif
		
%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files 
%defattr(-,root,root)
%doc index.html changelog.txt
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_libdir}/%name
%{_mandir}/man1/*


%changelog
* Sun Aug 10 2008 Funda Wang <fundawang@mandriva.org> 0.7.3-1mdv2009.0
+ Revision: 270184
- fix mandir
- New version 0.7.3

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun Jan 27 2008 Andreas Hasenack <andreas@mandriva.com> 0.6.0-1mdv2008.1
+ Revision: 158902
- updated to version 0.6.0 (2007.12.22)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request
    - do not harcode icon extension
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jun 07 2007 Austin Acton <austin@mandriva.org> 0.5.1-1mdv2008.0
+ Revision: 36176
- fix x86_64 build
- fix menu
- Import qlandkarte

